Bug 498052 - Minor documentation missing in sysconfig.txt
Minor documentation missing in sysconfig.txt
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: initscripts Maintenance Team
qe-baseos-daemons
:
Depends On:
Blocks: 600484
  Show dependency treegraph
 
Reported: 2009-04-28 12:26 EDT by Jim Perrin
Modified: 2011-01-13 18:05 EST (History)
4 users (show)

See Also:
Fixed In Version: initscripts-8.45.32-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 18:05:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Perrin 2009-04-28 12:26:58 EDT
Description of problem:
/usr/share/doc/initscripts-*/sysconfig.txt is missing a description of DHCP_HOSTNAME in the ifcfg-<interface> section.

Version-Release number of selected component (if applicable):
initscripts-8.45.25-1.el5.x86_64

How reproducible:
Always

Steps to Reproduce:
1. grep 'DHCP_HOSTNAME' /usr/share/doc/initscripts-*/sysconfig.txt
2.null result.
3.
  
Actual results:
No description given, but this is set by default for installs. 

Expected results:
This option is used to pass a hostname to the dhcp server, which updates dynamic dhcp where available.  There should be a section in the sysconfig.txt file stating something to this affect. 

Additional info:
Maybe something like:

DHCP_HOSTNAME=<hostname> Optional, offers hostname to the DHCP server for Dynamic DNS updates.
Comment 1 Jim Perrin 2009-04-28 12:41:22 EDT
This option is also configured by default in some instances, and is generated via kickstart using 

network --device ethX --onboot yes/no --bootproto dhcp --hostname your.host.com
Comment 3 RHEL Product and Program Management 2009-11-06 14:06:19 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 Jim Perrin 2009-11-06 14:42:30 EST
Does this mean it's not planned for a 5.4 update, or it's not planned for a 5.x update period?

I'm a bit confused as to why something as simple as a documentation fix wouldn't be approved. Could someone shed some light on why this wasn't approved for an update?
Comment 5 Bill Nottingham 2009-11-06 16:34:39 EST
(In reply to comment #4)
> Does this mean it's not planned for a 5.4 update, or it's not planned for a 5.x
> update period?

It's not planned for 5.4; it will likely make a later update.

> I'm a bit confused as to why something as simple as a documentation fix
> wouldn't be approved. Could someone shed some light on why this wasn't approved
> for an update?  

Bug fixes to packages with a higher priority and more customer impact than initscripts took priority for this cycle; there are a limited number of updates for each release.
Comment 6 Jim Perrin 2009-11-06 16:59:50 EST
fair enough. thanks for the update.
Comment 7 Jim Perrin 2010-04-08 13:54:44 EDT
So this didn't make it into 5.5 either?
Comment 8 Bill Nottingham 2010-04-08 14:03:23 EDT
Correct; sorry.
Comment 9 Jim Perrin 2010-04-08 15:15:17 EDT
I wasn't trying to lay blame, just a little surprised.
Comment 10 RHEL Product and Program Management 2010-06-04 11:59:07 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 Mike A. Harris 2010-06-04 18:11:22 EDT
I just pulled a bit of hair out on this one too, thanks for pointing out this documentation flaw Jim.  Hopefully others will stumble upon this bug like I just did also.
Comment 15 errata-xmlrpc 2011-01-13 18:05:08 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0075.html

Note You need to log in before you can comment on or make changes to this bug.